FreshPorts -- The Place For Ports notbugIf you buy from Amazon USA, please support us by using this link.
Follow us
Blog
Twitter

Port details
rubygem-googleauth Google Auth Library for Ruby
0.6.2 security on this many watch lists=1 search for ports that depend on this port Find issues related to this port Report an issue related to this port
Maintainer: sunpoet@FreeBSD.org search for ports maintained by this maintainer
Port Added: 19 Mar 2017 00:35:00
Also Listed In: rubygems
License: APACHE20
This is Google's officially supported ruby client library for using OAuth 2.0
authorization and authentication with Google APIs. It allows simple
authorization for accessing Google APIs and provides support for Application
Default Credentials, as described at
https://developers.google.com/accounts/docs/application-default-credentials

WWW: https://github.com/google/google-auth-library-ruby
SVNWeb : Homepage : PortsMon
    Pseudo-pkg-plist information, but much better, from make generate-plist
    Expand this list (3 items)
  1. /usr/local/share/licenses/rubygem-googleauth-0.6.2/catalog.mk
  2. /usr/local/share/licenses/rubygem-googleauth-0.6.2/LICENSE
  3. /usr/local/share/licenses/rubygem-googleauth-0.6.2/APACHE20
  4. Collapse this list.

To install the port: cd /usr/ports/security/rubygem-googleauth/ && make install clean
To add the package: pkg install rubygem-googleauth

PKGNAME: rubygem-googleauth

distinfo:

TIMESTAMP = 1510433818
SHA256 (rubygem/googleauth-0.6.2.gem) = 8e343b6fa1ad85b94a6a50718265ef547bea3bb9850b86fc083e7396a4fbe423
SIZE (rubygem/googleauth-0.6.2.gem) = 39936


NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.

Build dependencies:
  1. ruby23 : lang/ruby23
  2. gem23 : devel/ruby-gems
Runtime dependencies:
  1. rubygem-faraday>=0.12 : www/rubygem-faraday
  2. rubygem-jwt>=1.4 : www/rubygem-jwt
  3. rubygem-logging>=2.0 : devel/rubygem-logging
  4. rubygem-memoist>=0.12 : devel/rubygem-memoist
  5. rubygem-multi_json>=1.11 : devel/rubygem-multi_json
  6. rubygem-os>=0.9 : devel/rubygem-os
  7. rubygem-signet>=0.7 : security/rubygem-signet
  8. ruby23 : lang/ruby23
  9. gem23 : devel/ruby-gems
Patch dependencies:
  1. ruby23 : lang/ruby23
  2. gem23 : devel/ruby-gems
Extract dependencies:
  1. ruby23 : lang/ruby23

This port is required by:

for Run * - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...
Configuration Options
     No options to configure

USES:
gem

Master Sites:
  1. https://rubygems.global.ssl.fastly.net/gems/

Number of commits found: 6

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
11 Nov 2017 23:32:16
Original commit files touched by this commit  0.6.2
Revision:454014
sunpoet search for other commits by this committer
Update to 0.6.2

Changes:	https://github.com/google/google-auth-library-ruby/blob/master/CHANGELOG.md
		https://github.com/google/google-auth-library-ruby/commits/master
19 Oct 2017 20:35:51
Original commit files touched by this commit  0.6.1
Revision:452473
sunpoet search for other commits by this committer
Update to 0.6.1

Changes:	https://github.com/google/google-auth-library-ruby/blob/master/CHANGELOG.md
18 Oct 2017 17:22:58
Original commit files touched by this commit  0.6.0
Revision:452368
sunpoet search for other commits by this committer
Update to 0.6.0

Changes:	https://github.com/google/google-auth-library-ruby/blob/master/CHANGELOG.md
22 Jul 2017 17:08:27
Original commit files touched by this commit  0.5.3
Revision:446419
sunpoet search for other commits by this committer
Update to 0.5.3

Changes:	https://github.com/google/google-auth-library-ruby/blob/master/CHANGELOG.md
20 Jul 2017 17:54:13
Original commit files touched by this commit  0.5.2
Revision:446272
sunpoet search for other commits by this committer
Update to 0.5.2

Changes:	https://github.com/google/google-auth-library-ruby/blob/master/CHANGELOG.md
19 Mar 2017 00:32:25
Original commit files touched by this commit  0.5.1
Revision:436455
sunpoet search for other commits by this committer
Add rubygem-googleauth 0.5.1

This is Google's officially supported ruby client library for using OAuth 2.0
authorization and authentication with Google APIs. It allows simple
authorization for accessing Google APIs and provides support for Application
Default Credentials, as described at
https://developers.google.com/accounts/docs/application-default-credentials

WWW: https://github.com/google/google-auth-library-ruby

Number of commits found: 6

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
slurm-wlmJun 16
nodeJun 15
node6Jun 15
node8Jun 15
libgcrypt*Jun 14
password-storeJun 14
asterisk13*Jun 12
libresslJun 12
libressl-develJun 12
opensslJun 12
openssl-develJun 12
asterisk13Jun 11
asterisk15Jun 11
asterisk15Jun 11
chromiumJun 10

14 vulnerabilities affecting 116 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2018-06-16 15:43:50


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 34425
Broken 82
Deprecated 102
Ignore 334
Forbidden 2
Restricted 160
No CDROM 76
Vulnerable 32
Expired 12
Set to expire 89
Interactive 0
new 24 hours 12
new 48 hours20
new 7 days43
new fortnight88
new month15986

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2018 Dan Langille. All rights reserved.